Subject: Re: I-D Action: draft-ietf-httpbis-no-vary-search-05.txt
From: Rory Hewitt <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 14 May 2026 10:39:35 -0700
List-Id: <ietf-http-wg.w3.org>

We had some discussion back in Jan/Feb in the GitHub repo (
https://github.com/httpwg/http-extensions/issues/3287) about simplifying
the SF field format for this, and even changing the field name itself. Is
that definitely not going to happen?

I swear (as I swore then) that bikeshedding is not my intent, but as Martin
T responded then, "naming is hard, but I've seen late name changes work
very nicely.", and Julian R seemed to agree.

On Tue, May 12, 2026 at 10:45 PM <[email-masked]> wrote:

> Internet-Draft draft-ietf-httpbis-no-vary-search-05.txt is now available.
> It
> is a work item of the HTTP (HTTPBIS) WG of the IETF.
>
>    Title:   The No-Vary-Search HTTP Caching Extension
>    Authors: Domenic Denicola
>             Jeremy Roman
>             Nidhi Jaju
>    Name:    draft-ietf-httpbis-no-vary-search-05.txt
>    Pages:   18
>    Dates:   2026-05-12
>
> Abstract:
>
>    This specification defines an extension to HTTP Caching, changing how
>    URI query parameters impact caching.
>
> The IETF datatracker status page for this Internet-Draft is:
> https://datatracker.ietf.org/doc/draft-ietf-httpbis-no-vary-search/
>
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-ietf-httpbis-no-vary-search-05.html
>
> A diff from the previous version is available at:
>
> https://author-tools.ietf.org/iddiff?url2=draft-ietf-httpbis-no-vary-search-05
>
> Internet-Drafts are also available by rsync at:
> rsync.ietf.org::internet-drafts
>
>
>
>

-- 
Rory Hewitt

https://www.linkedin.com/in/roryhewitt